Several "Strict Standards" warnings on WP-ADMIN Update

Popular automatic website translation tool

Several "Strict Standards" warnings on WP-ADMIN Update

Postby pfmoser » Tue Jan 20, 2015 11:20 am

Hi,

I do have a problem with the update process in WP (4.1). It seems there is a plugin interfering.

After starting the update of a plugin, the update progress circle turns forever although the update is finished in the background.

To figure out the problem I enabled the WP SCRIPT_DEBUG and found these messages:

Code: Select all
Strict Standards: Declaration of GTranslate::widget() should be compatible with WP_Widget::widget($args, $instance) in /homepages/31/d289744926/htdocs/fosm/wp/wp-content/plugins/gtranslate/gtranslate.php on line 645

Strict Standards: call_user_func_array() expects parameter 1 to be a valid callback, non-static method GTranslate::register() should not be called statically in /homepages/31/d289744926/htdocs/fosm/wp/wp-includes/plugin.php on line 496

Strict Standards: call_user_func_array() expects parameter 1 to be a valid callback, non-static method GTranslate::enqueue_scripts() should not be called statically in /homepages/31/d289744926/htdocs/fosm/wp/wp-includes/plugin.php on line 496

Strict Standards: Non-static method GTranslate::load_defaults() should not be called statically in /homepages/31/d289744926/htdocs/fosm/wp/wp-content/plugins/gtranslate/gtranslate.php on line 66

Strict Standards: call_user_func_array() expects parameter 1 to be a valid callback, non-static method GTranslate::admin_menu() should not be called statically in /homepages/31/d289744926/htdocs/fosm/wp/wp-includes/plugin.php on line 496

Could these errors make my problem happen? Could you please clean them anyway?

Thank you.
pfmoser
 
Posts: 2
Joined: Tue Jan 20, 2015 11:11 am

Re: Several "Strict Standards" warnings on WP-ADMIN Update

Postby Edvard » Tue Jan 20, 2015 1:09 pm

Hi,

Please make sure you use the latest version of GTranslate. Please turn off Strict Standard Warning messages. They cannot make any problems to arise.

Thanks!
Regards,

Edvard Ananyan - GTranslate Team

Please leave your feedback on your CMS plugin directory. It is very important for us!
Google Translate Joomla
Google Translate WordPress
Google Translate Drupal
Edvard
Site Admin
 
Posts: 4183
Joined: Mon Jun 28, 2010 1:54 pm
Location: Yerevan, Armenia

Re: Several "Strict Standards" warnings on WP-ADMIN Update

Postby pfmoser » Tue Jan 20, 2015 1:29 pm

Hi Edvard,

sorry I did not mention: I do use GTranslate 1.0.38 - this should be the newest one.

As you say these might not be my problem, I'll check the other plugins.

Thanks.
pfmoser
 
Posts: 2
Joined: Tue Jan 20, 2015 11:11 am


  • Related Topics
    Replies
    Views
    Last post

Who is online

Users browsing this forum: No registered users and 0 guests

2GLux